Update License Key

Added in v1.0
PUT https://api.example.com/api/keys/{key}

Updates an existing license key details. Content defaults to existing data if not provided in the body. Returns updated key object.

Path parameters

  • key string required
    The license key, as shown on the license page on the website.

Body parameters

  • ip string optional
    The authorised IP address for the license key to pass authentication.
  • locked boolean optional
    When true, the key only passes authentication from its authorised IP address.
  • disabled boolean optional
    Forces the key to be disabled.
  • status boolean optional
    Sets the key's active state.

Responses

  • 200OK
  • 404Not Found
Request
curl -X PUT 'https://api.example.com/api/keys/{key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "ip": "192.168.0.1",
  "locked": true,
  "disabled": false,
  "status": true
}'
Response
OK
{
  "id": 1,
  "uuid": "123",
  "product": 456,
  "key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
  "ip": "192.168.0.1",
  "status": true,
  "disabled": false,
  "locked": true,
  "lastSeen": 1790000000000
}